Loading...
Searching...
No Matches
fastjet::PxConePlugin Class Reference
Plugins for non-native jet definitions

Implementation of the PxCone algorithm (plugin for fastjet v2.1 upwards). More...

`#include <fastjet/PxConePlugin.hh>`

Inheritance diagram for fastjet::PxConePlugin:
[legend]
Collaboration diagram for fastjet::PxConePlugin:
[legend]

## Public Member Functions

| PxConePlugin (double cone_radius_in, double min_jet_energy_in=5.0, double overlap_threshold_in=0.5, bool E_scheme_jets_in=false, int mode=2)
| constructor for the PxConePlugin, whose arguments have the following meaning:
double | cone_radius () const
| the cone radius
double | min_jet_energy () const
| minimum jet energy (protojets below this are thrown own before merging/splitting) – called epslon in pxcone
double | overlap_threshold () const
| Maximum fraction of overlap energy in a jet – called ovlim in pxcone.
bool | E_scheme_jets () const
| if true then the final jets are returned as the E-scheme recombination of the particle momenta (by default, pxcone returns massless jets with a mean phi,eta type of recombination); regardless of what is returned, the internal pxcone jet-finding procedure is unaffected.
int | mode () const
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the PxCone algorithm (plugin for fastjet v2.1 upwards).

PxConePlugin is a plugin for fastjet (v2.1 upwards) that provides an interface to the fortran pxcone iterative cone algorithm with midpoint seeds.

Pxcone was written by Luis del Pozo and Michael H. Seymour. It is not a "supported" program, so if you encounter problems, you are on your own...

Note that pxcone sometimes encounters non-stable iterations; in such cases it returns an error – the plugin propagates this by throwing a fastjet::Error exception; if the user wishes to have robust code, they should catch this exception.

Pxcone has a hard-coded limit (by default 4000) on the maximum number of particles and protojets; if the number of particles or protojets exceeds this, again a fastjet::Error exception will be thrown.

The functionality of pxcone is described at http://www.hep.man.ac.uk/u/wplano/ConeJet.ps

Definition at line 69 of file PxConePlugin.hh.

## Constructor & Destructor Documentation

## PxConePlugin()

fastjet::PxConePlugin::PxConePlugin | ( | double | cone_radius_in,
|  | double | min_jet_energy_in = 5.0,
|  | double | overlap_threshold_in = 0.5,
|  | bool | E_scheme_jets_in = false,
|  | int | mode = 2 )

inline

constructor for the PxConePlugin, whose arguments have the following meaning:

- the cone_radius is as usual in cone algorithms
- stables cones (protojets) below min_jet_energy are discarded before calling the splitting procedure to resolve overlaps (called epslon in pxcone).
- when two protojets overlap, if (overlapping_Et)/(Et_of_softer_protojet) < overlap_threshold the overlapping energy is split between the two protojets; otherwise the less energetic protojet is discarded. Called ovlim in pxcone.
- pxcone carries out p-scheme recombination, and the resulting jets are massless; setting E_scheme_jets = true (default false) doesn't change the jet composition, but the final momentum sum for the jets is carried out by direct four-vector addition instead of p-scheme recombination.
- mode: set to 1 for the e+e- version set to 2 for the hadron-hadron version (the default)

Definition at line 96 of file PxConePlugin.hh.

## Member Function Documentation

## cone_radius()

double fastjet::PxConePlugin::cone_radius | ( |  | ) | const

inline

the cone radius

Definition at line 111 of file PxConePlugin.hh.

## min_jet_energy()

double fastjet::PxConePlugin::min_jet_energy | ( |  | ) | const

inline

minimum jet energy (protojets below this are thrown own before merging/splitting) – called epslon in pxcone

Definition at line 115 of file PxConePlugin.hh.

## overlap_threshold()

double fastjet::PxConePlugin::overlap_threshold | ( |  | ) | const

inline

Maximum fraction of overlap energy in a jet – called ovlim in pxcone.

Definition at line 118 of file PxConePlugin.hh.

## E_scheme_jets()

bool fastjet::PxConePlugin::E_scheme_jets | ( |  | ) | const

inline

if true then the final jets are returned as the E-scheme recombination of the particle momenta (by default, pxcone returns massless jets with a mean phi,eta type of recombination); regardless of what is returned, the internal pxcone jet-finding procedure is unaffected.

Definition at line 125 of file PxConePlugin.hh.

## mode()

int fastjet::PxConePlugin::mode | ( |  | ) | const

inline

Definition at line 127 of file PxConePlugin.hh.

## description()

string fastjet::PxConePlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 46 of file PxConePlugin.cc.

## run_clustering()

void fastjet::PxConePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 61 of file PxConePlugin.cc.

## R()

virtual double fastjet::PxConePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius

Implements fastjet::JetDefinition::Plugin.

Definition at line 133 of file PxConePlugin.hh.

The documentation for this class was generated from the following files:

- plugins/PxCone/fastjet/PxConePlugin.hh
- plugins/PxCone/PxConePlugin.cc